Package org.apache.lucene.search

## Class BlendedTermQuery.RewriteMethod

- java.lang.Object
- - org.apache.lucene.search.BlendedTermQuery.RewriteMethod

- Direct Known Subclasses:
    `BlendedTermQuery.DisjunctionMaxRewrite`
  Enclosing class:
    BlendedTermQuery

      public abstract static class BlendedTermQuery.RewriteMethod
      extends Object

  A `BlendedTermQuery.RewriteMethod` defines how queries for individual terms should be merged.
  See Also:
    `BlendedTermQuery.BOOLEAN_REWRITE`, `BlendedTermQuery.DisjunctionMaxRewrite`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `RewriteMethod()` | Sole constructor

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract Query` | `rewrite​(Query[] subQueries)` | Merge the provided sub queries into a single `Query` object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RewriteMethod

          protected RewriteMethod()

      Sole constructor

  - ### Method Detail

    - #### rewrite

          public abstract Query rewrite​(Query[] subQueries)

      Merge the provided sub queries into a single `Query` object.